package com.jtxt.demo.util;

import java.time.LocalDate;
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;
import java.time.temporal.WeekFields;
import java.util.Locale;

public class Utils {
    public static final ZoneId CHINA_ZONE = ZoneId.of("Asia/Shanghai");
    public static String getTodayTag() {
        DateTimeFormatter dtf = DateTimeFormatter.ofPattern("uuuuMMdd");
        LocalDate localDate = LocalDate.now(CHINA_ZONE);
        return dtf.format(localDate);
    }
    // return "2021Week2" to indicate that the second week of 2021.
    public static String getWeekTag() {
        return getYear() + "Week" + getWeekNum();
    }



    public static int getYear() {
        LocalDate localDate = LocalDate.now(CHINA_ZONE);
        return localDate.getYear();
    }

    public static int getWeekNum() {
        LocalDate localDate = LocalDate.now(CHINA_ZONE);
        return localDate.get(WeekFields.of(Locale.getDefault()).weekOfWeekBasedYear());
    }
}
